Jump to content
mwl4

0.2.2.3.0 Released

Recommended Posts

^

 

go to Steam -> Right click on ETS2 -> Properties -> Betas > NONE - out of all betas > Start TruckersMP > Install available updates. If it doesn't work reinstall TruckersMP.

 

kind regards

Share this post


Link to post
Share on other sites
On ‎28‎/‎03‎/‎2018 at 1:42 AM, ledgeri [HUN] said:

Up until now, all DLCs supported (exept the scenario part) right? (I mean the latest winter camo too)

 

At the current time, all DLC's excluding the Special Transport scenarios are supported. The winter scenery is just a mod, it's not a DLC and therefore won't remain in the game forever.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×
×
  • Create New...